package com.ruoyi.app.mapper;

import java.util.List;

import com.ruoyi.app.DTO.HarmlessSumDTO;
import com.ruoyi.app.model.HarmlessTreatment;
import com.ruoyi.app.model.request.TimeRangeParam;

/**
 * 无害化处理Mapper接口
 * 
 * @author coede
 * @date 2025-03-19
 */
public interface HarmlessTreatmentMapper 
{
    /**
     * 查询无害化处理
     * 
     * @param id 无害化处理主键
     * @return 无害化处理
     */
    public HarmlessTreatment selectHarmlessTreatmentById(Long id);

    /**
     * 查询无害化处理列表
     * 
     * @param harmlessTreatment 无害化处理
     * @return 无害化处理集合
     */
    public List<HarmlessTreatment> selectHarmlessTreatmentList(HarmlessTreatment harmlessTreatment);

    /**
     * 新增无害化处理
     * 
     * @param harmlessTreatment 无害化处理
     * @return 结果
     */
    public int insertHarmlessTreatment(HarmlessTreatment harmlessTreatment);

    /**
     * 修改无害化处理
     * 
     * @param harmlessTreatment 无害化处理
     * @return 结果
     */
    public int updateHarmlessTreatment(HarmlessTreatment harmlessTreatment);

    /**
     * 删除无害化处理
     * 
     * @param id 无害化处理主键
     * @return 结果
     */
    public int deleteHarmlessTreatmentById(Long id);

    /**
     * 批量删除无害化处理
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteHarmlessTreatmentByIds(Long[] ids);

    /**
     * 根据时间范围获取死淘数量
     *
     * @param timeRangeParam 时间范围
     * @return 结果
     */
    public HarmlessSumDTO selectHarmlessSumByTime(TimeRangeParam timeRangeParam);

    public HarmlessTreatment selectByEntraceBatchId(Long id);


    public List<HarmlessTreatment> listAll();
}
